title: Overview of your [[this]] data from Google Analytics
transient_title: Here''s an overview of your [[this]] data from Google Analytics
description: Some interesting metrics about your GA stats to get you started.
metrics:
  - Sessions:
      metric: [METRIC, "ga:sessions"]
  - Pageviews:
      metric: [METRIC, "ga:pageviews"]
  - 1DayActiveUsers:
      metric: [METRIC, "ga:1dayUsers"]
# This metric would be used by the cohort table if we could create it.
#  - Retention:
#    metric: ["ga:cohortRetentionRate"]
#    score: 100
filters:
  - Last30Days:
      filter: ["time-interval", [dimension, Day], -30, day]
# It doesn't appear that ga-metadata.js includes user type as a dimension, so I've included
# new and returning users as filters. In the metadata file, they're shown as segments.
#  - NewUsers
#    [gaid::-2]
#  - ReturningUsers
#    [gaid::-3]
dimensions:
  - Day:
      field_type: ga:date
  - Country:
      field_type: ga:countryIsoCode
  - DeviceType:
      field_type: ga:deviceCategory
  - LandingPage:
      field_type: ga:landingPagePath
  - Page:
      field_type: ga:pagePath
  - Channel:
      field_type: ga:channelGrouping
  - Source:
      field_type: ga:source
dashboard_filters:
  - Day
  # - Country
  # - DeviceType
  # - Channel
groups:
- Overview:
    title: Summary
- SessionsBreakdown:
    title: Sessions
cards:
  - SessionsOverTime:
      title: Sessions and unique users per day
      description: How many total sessions vs. how many individual users you had each day.
      metrics:
        - Sessions
        - 1DayActiveUsers
      dimensions: Day
      visualization: line
      score: 100
      width: 18
      height: 7
      group: Overview
  # I don't know if I can do this, but I'd like to have a multi-metric card here
  # made up of two scalars, new user sessions and returning user sessions, so that
  # it's displayed as a bar chart.
#  - SessionsByNewVsReturningUser:
#    title: Sessions, new vs. returning users
#    description: Percent of total sessions that were from new vs. returning users
#    metrics: Sessions
#    dimensions:
#    filters: NewUsers
#    visualization:
#    score: 80
  - SessionsByCountry:
      title: Sessions by Country
      description: Total sessions in each country
      metrics: Sessions
      dimensions: Country
      visualization:
        map:
          map.type: region
          map.region: world_countries
      score: 90
      group: SessionsBreakdown
  - SessionsByTopChannels:
      title: Top acquisition channels
      description: Where most of your sessions originate from
      metrics: Sessions
      dimensions: Channel
      visualization: bar
      group: SessionsBreakdown
      score: 80
  - SessionsByDeviceType:
      title: Sessions by device type
      description: Total sessions by desktop, mobile, or tablet
      metrics: Sessions
      dimensions: DeviceType
      visualization: bar
      score: 80
      group: SessionsBreakdown
  - PageviewsByPage:
      title: Most-viewed pages
      description: The pages with the most pageviews
      metrics: Pageviews
      dimensions: Page
      visualization: table
      height: 8
      score: 70
  - SessionsByLandingPage:
      title: Top landing pages
      description: Sessions by page where the session began
      metrics: Sessions
      dimensions: LandingPage
      visualization: table
      height: 8
      score: 70
# MBQL does not support ordering by GA metric
#      order_by:
#        - Sessions: descending
  - SessionsBySource:
      title: Top referral pages
      description: The top external pages that brought users to your site
      metrics: Sessions
      dimensions: Source
      visualization: table
      height: 8
      score: 70
#  - CohortRetention:
#    title:
#    description:
#    metric: Retention
#    dimensions: Day, # The other dimension I want is called Acquisition Date in GA
                     # but I can't find this in ga-metadata.js
#    visualization: table
#    score: 100
